Watch, Follow, &
Connect with Us

For forums, blogs and more please visit our
Developer Tools Community.


Welcome, Guest
Guest Settings
Help

Thread: Will Firemonkey work with XCode 9



Permlink Replies: 6 - Last Post: Sep 20, 2017 2:03 PM Last Post By: Dave Nottage
Ken Randall

Posts: 130
Registered: 11/12/99
Will Firemonkey work with XCode 9
Click to report abuse...   Click to reply to this thread Reply
  Posted: Sep 20, 2017 1:10 AM
Has anyone been brave enough to try it or do we have to wait for an
update from Embarcadero?

Ken
Erik Bellaard

Posts: 38
Registered: 5/30/00
Re: Will Firemonkey work with XCode 9
Click to report abuse...   Click to reply to this thread Reply
  Posted: Sep 20, 2017 2:29 AM   in response to: Ken Randall in response to: Ken Randall
Ken Randall wrote:
Has anyone been brave enough to try it or do we have to wait for an
update from Embarcadero?

Ken

look at this :
http://docwiki.embarcadero.com/PlatformStatus/en/Main_Page
Ken Randall

Posts: 130
Registered: 11/12/99
Re: Will Firemonkey work with XCode 9
Click to report abuse...   Click to reply to this thread Reply
  Posted: Sep 20, 2017 3:10 AM   in response to: Erik Bellaard in response to: Erik Bellaard
So I presume that this is a no. As iOS/XCode betas are always available
for some considerable time before release I'm always very disappointed
when Embarcadero don't make a version of PAServer available, if only a
beta, before or at least immediately after launch.

Erik Bellaard wrote:

Thomas Horstmann

Posts: 4
Registered: 10/14/03
Re: Will Firemonkey work with XCode 9
Click to report abuse...   Click to reply to this thread Reply
  Posted: Sep 20, 2017 3:27 AM   in response to: Ken Randall in response to: Ken Randall
Ken Randall wrote:
So I presume that this is a no. As iOS/XCode betas are always available
for some considerable time before release I'm always very disappointed
when Embarcadero don't make a version of PAServer available, if only a
beta, before or at least immediately after launch.

Erik Bellaard wrote:


I tested XCode9 and iOS11. It seems iOS and 64Bit is not working. iOS 32Bit and macOS works.

https://quality.embarcadero.com/browse/RSP-19095
Ken Randall

Posts: 130
Registered: 11/12/99
Re: Will Firemonkey work with XCode 9
Click to report abuse...   Click to reply to this thread Reply
  Posted: Sep 20, 2017 5:05 AM   in response to: Thomas Horstmann in response to: Thomas Horstmann
No, it actually does work fine. The reason you are getting these errors
is that:

1) In the SDK Manager UIFoundation incorrectly has the path
PrivateFrameworks instead of Frameworks. I have seen this before.
2) Framework FileProvider now seems to be required to be added.

Once I did this at least I can run my app on iOS 64 bit.

Thomas Horstmann wrote:

I tested XCode9 and iOS11. It seems iOS and 64Bit is not working. iOS
32Bit and macOS works.

https://quality.embarcadero.com/browse/RSP-19095
Dave Nottage

Posts: 1,850
Registered: 1/7/00
Re: Will Firemonkey work with XCode 9
Click to report abuse...   Click to reply to this thread Reply
  Posted: Sep 20, 2017 12:41 PM   in response to: Ken Randall in response to: Ken Randall
Ken Randall wrote:

No, it actually does work fine. The reason you are getting these errors
is that:

1) In the SDK Manager UIFoundation incorrectly has the path
PrivateFrameworks instead of Frameworks. I have seen this before.
2) Framework FileProvider now seems to be required to be added.

Once I did this at least I can run my app on iOS 64 bit.

I think I needed to do 1) a few weeks ago when I tried the beta. Not sure about 2).

The main problem now is not being able to import the newer SDKs.

--
Dave Nottage [MVP, TeamB]
Find hints, tips and tricks at Delphi Worlds blog: http://www.delphiworlds.com
Dave Nottage

Posts: 1,850
Registered: 1/7/00
Re: Will Firemonkey work with XCode 9
Click to report abuse...   Click to reply to this thread Reply
  Posted: Sep 20, 2017 2:03 PM   in response to: Dave Nottage in response to: Dave Nottage
I wrote:

The main problem now is not being able to import the newer SDKs.

Scratch that - it seems to be working for me, but not for others?

I'm using Tokyo 10.2.1 and iPhoneOS 11 appears in the list of SDKs that can be imported.

--
Dave Nottage [MVP, TeamB]
Find hints, tips and tricks at Delphi Worlds blog: http://www.delphiworlds.com
Legend
Helpful Answer (5 pts)
Correct Answer (10 pts)

Server Response from: ETNAJIVE02